declare const _sfc_main: import("vue").DefineComponent<{}, {
    dataViewId: import("vue").ComputedRef<any>;
    handleLoadData: (treeNode?: any, isFirst?: boolean) => Promise<void>;
    treeSelectData: import("vue").Ref<({
        [x: string]: any;
        value?: import("ant-design-vue/lib/vc-tree-select/TreeSelect").RawValueType;
        title?: any;
        label?: any;
        key?: import("ant-design-vue/lib/vc-tree-select/interface").Key;
        children?: any[];
        disabled?: boolean;
        checkable?: boolean;
        disableCheckbox?: boolean;
    } | {
        [x: string]: any;
        disabled?: boolean;
        checkable?: boolean;
        disableCheckbox?: boolean;
        children?: any[];
    })[]>;
    treeSelectLoading: import("vue").Ref<boolean>;
    dataViewList: import("vue").Ref<{
        [key: string]: any;
    }[]>;
    dataViewLoading: import("vue").Ref<boolean>;
    onDataViewIdChange: (dataViewId: string) => void;
    mapGenericType: (genericType: 'TEXT' | 'NUMBER' | 'DATE') => string;
    onDragStart: (event: any, dataViews: {
        [key: string]: any;
    }[]) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}, {}>;
export default _sfc_main;
